-- Many thanks to the following for the German localization:
-- EnSabahNur (http://www.wowinterface.com/forums/member.php?userid=26248)
-- xXVegâsXx (http://www.wowinterface.com/forums/member.php?userid=189588)

if (GetLocale() ~= "deDE") then return end

TFMtextMessages = {
--		[""] = "",
	["Running macro create function!"] = "TFM |cffff2020Makro |r wird erstellt!",
	["Located the TFM macro in slot "] = "TFM Makro gefunden auf Platz ",
	["No TFM macro located."] = "Kein TFM Makro gefunden.",
	["Number of global macros currently in use: "] = "Aktuell genutzte Allgemeine Makros: ",
	["error! You already have the maximum 36 macros allowed. Please delete an existing macro to make room!"] = "error! Alle 36 Makroplätze sind belegt. Bitte lösche eins um Platz zu machen",
	["Test macro has been created."] = "Test Makro wurde erstellt.",
	["To use, type |cffffff00/macro|r and find the macro |cff00ff00TFMTarget|r"] = "Tippe |cffffff00/macro|r und suche das TFM Makro im Makromenü.",
	["Place that macro on an action bar and use it in supported fights to target."] = "Platziere das TFM Makro irgendwo auf deinen Aktionsleisten und benutze es für die unterstützten Bosse.",
	["Use |cffffff00/tfm create|r to create the initial macro."] = "Tippe |cffffff00/tfm create|r um das Makro im Makromenü zu erstellen.",
	["To autocast a spell after targetting, edit the |cff00ff00TFMcast|r macro."] = "To autocast a spell after targetting, edit the |cff00ff00TFMcast|r macro.",
	["Instance supported: |cff8080ff"] = "Instanz unterstützt: |cff8080ff",
	["Configuring macro for |cffff4040"] = "Macro eingestellt für: |cffff4040",
	};

TFMraidZones = {
		["Ulduar"] = 1,
		["Prüfung des Kreuzfahrers"] = 1,
		["Eiskronenzitadelle"] = 1,
		["Das Rubinsanktum"] = 1,
	};

-- Note that the "\13" inserts a return character into the macro text. Do not use "|n" as this causes the macro to be invalid.
TFMBossMacro = {
		["test"] = "/s Test macro created",

		-- Ulduar
		["Klingenschuppe"] = "/cleartarget \13"..
								"/tar Dunkler Runenbetrachter \13"..
								"/tar [noexists][dead] Dunkle Runenschildwache \13"..
								"/tar [noexists][dead] Dunkler Runenwächter \13"..
								"/tar [noexists][dead] Klingenschuppe \13",

		["XT-002 Dekonstruktor"] = "/cleartarget \13"..
								"/tar XE-321 Bummbot \13"..
								"/tar [noexists][dead] XM-024 Verprügler \13"..
								"/tar [noexists][dead] Herz des Dekonstruktors \13"..
								"/tar [noexists][dead] XT-002 Dekonstruktor \13",

		["Kologarn"] = "/cleartarget \13"..
								"/tar Rechter Arm \13"..
								"/tar [noexists][dead] Linker Arm \13"..
								"/tar [noexists][dead] Kologarn \13",

		["Thorim"] = "/cleartarget \13"..
								"/tar Dunkler Runenchampion \13"..
								"/tar [noexists][dead] Dunkler Runenhervorrufer \13"..
								"/tar [noexists][dead][harm] Dunkler Runenkriegshetzer \13"..
								"/tar [noexists][dead] Thorim \13",

		["General Vezax"] = "/cleartarget \13"..
								"/tar Saronitanimus \13"..
								"/tar [noexists][dead] General Vezax \13",

		["Freya"] = "/cleartarget \13"..
								"/tar Eonars Geschenk \13"..
								"/tar [noexists][dead] Verstärkte Eiserne Wurzeln \13"..
								"/tar [noexists][dead] Freya \13",

		-- Trial of the Crusader
		["Gormok der Pfähler"] = "/cleartarget \13"..
								"/tar Schneeboldvasall\13"..
								"/tar [noexists][dead] Gormok der Pfähler \13",

		["Lord Jaraxxus"] = "/cleartarget \13"..
								"/tar Netherportal \13"..
								"/tar [noexists][dead] Höllischer Vulkan \13"..
								"/tar [noexists][dead] Herrin der Schmerzen \13"..
								"/tar [noexists][dead] Teuflische Höllenbestie \13"..
								"/tar [noexists][dead] Lord Jaraxxus \13",

		-- Icecrown Citadel
		["Lord Mark'gar"] = "/cleartarget \13"..
								"/tar Knochenstachel \13"..
								"/tar [noexists][dead] Lord Mark'gar \13",

-- TODO: Kor'kron Battle-mage
-- TODO: Skybreaker Sorcerer

		["Todesbringer Saurfang"] = "/cleartarget \13"..
								"/tar Blutbestie \13"..
								"/tar [noexists][dead] Todesbringer Saurfang \13",

		["Professor Seuchenmord"] = "/cleartarget \13"..
								"/tar Flüchtiger Brühschlammer \13"..
								"/tar [noexists][dead] Gaswolke \13"..
								"/tar [noexists][dead] Professor Seuchenmord \13",

		["Prinz Keleseth"] = "/cleartarget \13"..
								"/targetexact Kinetische Bombe \13",

		["Valithria Traumwandler"] = "/cleartarget \13"..
								"/tar Loderndes Skelett \13"..
								"/tar [noexists][dead] Unterdrücker \13"..
								"/tar [noexists][dead] Auferstandener Erzmagier \13"..
								"/tar [noexists][dead] Mörderischer Zombie \13"..
								"/tar [noexists][dead] Gefräßige Monstrosität \13",

		["Sindragosa"] = "/cleartarget \13"..
								"/tar Eisgrab \13"..
								"/tar [noexists][dead] Sindragosa \13",

		["Der Lichkönig"] = "/cleartarget \13"..
								"/tar Schattenwächterin der Val'kyr \13"..
								"/tar [noexists][dead] Tobender Geist \13"..
								"/tar [noexists][dead] Der Lichkönig \13",
		-- The Ruby Sanctum
		["Halion"] = "/cleartarget \13"..
								"/tar Living Inferno \13"..
								"/tar [noexists][dead] Halion \13",
								
	};