-- 
-- Standard English text.
-- 

if (GetLocale() ~= "enUS") then return end

TFMtextMessages = {
--		[""] = "",
		["Running macro create function!"] = "Running |cffff2020macro create function|r!",
		["Located the TFM macro in slot "] = "Located the TFM macro in slot ",
		["No TFM macro located."] = "No TFM macro located.",
		["Number of global macros currently in use: "] = "Number of global macros currently in use: ",
		["error! You already have the maximum 36 macros allowed. Please delete an existing macro to make room!"] = "error! You already have the maximum 36 macros allowed. Please delete an existing macro to make room!",
		["Test macro has been created."] = "Test macro has been created.",
		["To use, type |cffffff00/macro|r and find the macro |cff00ff00TFMTarget|r"] = "To use, type |cffffff00/macro|r and find the macro |cff00ff00TFMTarget|r",
		["Place that macro on an action bar and use it in supported fights to target."] = "Place that macro on an action bar and use it in supported fights to target.",
		["Use |cffffff00/tfm create|r to create the initial macro."] = "Use |cffffff00/tfm create|r to create the initial macro.",
		["To autocast a spell after targetting, edit the |cff00ff00TFMcast|r macro."] = "To autocast a spell after targetting, edit the |cff00ff00TFMcast|r macro.",
		["Instance supported: |cff8080ff"] = "Instance supported: |cff8080ff",
		["Configuring macro for |cffff4040"] = "Configuring macro for |cffff4040",
	};

TFMraidZones = {
		["Ulduar"] = 1,
		["Trial of the Crusader"] = 1,
		["Icecrown Citadel"] = 1,
		["The Ruby Sanctum"] = 1,
	};

-- Note that the "\13" inserts a return character into the macro text. Do not use "|n" as this causes the macro to be invalid.
TFMBossMacro = {
		["test"] = "/s Test macro created \13",

		-- Ulduar
		["Razorscale"] = "/cleartarget \13"..
								"/tar Dark Rune Watcher \13"..
								"/tar [noexists][dead] Dark Rune Sentinel \13"..
								"/tar [noexists][dead] Dark Rune Guardian \13"..
								"/tar [noexists][dead] Razorscale \13",

		["XT-002 Deconstructor"] = "/cleartarget \13"..
								"/tar XE-321 Boombot \13"..
								"/tar [noexists][dead] XM-024 Pummeller \13"..
								"/tar [noexists][dead] Heart of the Deconstructor \13"..
								"/tar [noexists][dead] XT-002 Deconstructor \13",

		["Kologarn"] = "/cleartarget \13"..
								"/tar Right Arm \13"..
								"/tar [noexists][dead] Left Arm \13"..
								"/tar [noexists][dead] Kologarn \13",

		["Thorim"] = "/cleartarget \13"..
								"/tar Dark Rune Champion \13"..
								"/tar [noexists][dead] Dark Rune Evoker \13"..
								"/tar [noexists][dead][harm] Dark Rune Warbringer \13"..
								"/tar [noexists][dead] Thorim \13",

		["General Vezax"] = "/cleartarget \13"..
								"/tar Saronite Animus \13"..
								"/tar [noexists][dead] General Vezax \13",

		["Freya"] = "/cleartarget \13"..
								"/tar Eonar \13"..
								"/tar [noexists][dead] Strengthened Iron Roots \13"..
								"/tar [noexists][dead] Freya \13",

		-- Trial of the Crusader
		["Gormok the Impaler"] = "/cleartarget \13"..
								"/tar Snobold Vassal\13"..
								"/tar [noexists][dead] Gormok the Impaler \13",

		["Lord Jaraxxus"] = "/cleartarget \13"..
								"/tar Nether Portal \13"..
								"/tar [noexists][dead] Infernal Volcano \13"..
								"/tar [noexists][dead] Mistress of Pain \13"..
								"/tar [noexists][dead] Felflame Infernal \13"..
								"/tar [noexists][dead] Lord Jaraxxus \13",

		-- Icecrown Citadel
		["Lord Marrowgar"] = "/cleartarget \13"..
								"/tar Bone Spike \13"..
								"/tar [noexists][dead] Lord Marrowgar \13",

-- TODO: Kor'kron Battle-mage
-- TODO: Skybreaker Sorcerer

		["Deathbringer Saurfang"] = "/cleartarget \13"..
								"/tar Blood Beast \13"..
								"/tar [noexists][dead] Deathbringer Saurfang \13",

		["Professor Putricide"] = "/cleartarget \13"..
								"/tar Volatile Ooze \13"..
								"/tar [noexists][dead] Gas Cloud \13"..
								"/tar [noexists][dead] Professor Putricide \13",

		["Prince Keleseth"] = "/cleartarget \13"..
								"/targetexact Kinetic Bomb \13",

		["Lady Deathwhisper"] = "/cleartarget \13"..
								"/tar Deformed Fanatic \13".. 
								"/tar [noexists][dead] Reanimated Fanatic \13"..
								"/tar [noexists][dead] Cult Fanatic \13"..
								"/tar [noexists][dead] Lady Deathwhisper \13",

		["Valithria Dreamwalker"] = "/cleartarget \13"..
								"/tar Blazing Skeleton \13"..
								"/tar [noexists][dead] Suppresser \13"..
								"/tar [noexists][dead] Risen Archmage \13"..
								"/tar [noexists][dead] Blistering \13"..
								"/tar [noexists][dead] Gluttonous \13",

		["Sindragosa"] = "/cleartarget \13"..
								"/tar Ice Tomb \13"..
								"/tar [noexists][dead] Sindragosa \13",

		["The Lich King"] = "/cleartarget \13"..
								"/tar Val'kyr Shadowguard \13"..
								"/tar [noexists][dead] Raging Spirit \13"..
								"/tar [noexists][dead] The Lich King \13",
		-- The Ruby Sanctum
		["Halion"] = "/cleartarget \13"..
								"/tar Living Inferno \13"..
								"/tar [noexists][dead] Halion \13",
	};